Subject: AW: [Geopriv] XML-based Authorization Policy Language

From: "Tschofenig, Hannes" <[email-masked]>
Date: Thu, 15 Dec 2005 11:54:37 +0100

hi hal, 

thanks for pointing to xacml. we are aware of the work in oasis. 
we have even considered to use xacml in the past for geopriv. 
see, for example, a draft that proposed to use xacml for geopriv 
http://www.tschofenig.priv.at/drafts/draft-tschofenig-geopriv-authz-policies-00.txt from june 2003. 

however, the working group dediced to go for a simpler approach (namely the one we are currently finishing). in fact, we have spent a lot of time to determine how to come up with the simplest possible solution. if you look at our geopriv policies then you will notice that the solution we came up with is pretty simple:
http://www.ietf.org/internet-drafts/draft-ietf-geopriv-policy-07.txt

ciao
hannes

> -----Ursprüngliche Nachricht-----
> Von: [email-masked] 
> [mailto:[email-masked]] Im Auftrag von Hal Lockhart
> Gesendet: Mittwoch, 14. Dezember 2005 20:42
> An: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Betreff: [Geopriv] XML-based Authorization Policy Language
> 
> Members of the Geopriv working group:
> 
> I have recently learned that your working group is developing a
> XML-based language to describe access control policy for geographic
> information.
> 
> As the co-chair of the OASIS XACML TC I would like to draw your
> attention to the eXtensible Access Control Language (XACML). I believe
> XACML is entirely suitable for requirements like yours. XACML 
> 2.0 became
> an OASIS Standard in February 2005 and is in the process of being
> submitted to the ITU/T.
> 
> XACML is referenced in a number of other standards and is beginning to
> be implemented in products. There are at least three open source
> implementations available. Additional information is available here:
> 
> http://www.oasis-open.org/committees/tc_home.php?wg_abbrev=xacml
> 
> I and other members of the XACML TC, would be very interested 
> is helping
> you to understand how XACML might be applied to your requirements.
> Potentially this might lead to defining an XACML profile intended for
> this usage. If in the process we discover any requirements that XACML
> does not meet, we would be most interested in adding them to XACML
> version 3.0, currently under development.
> 
> I think it would be a mistake to proliferate a number of incompatible,
> yet functionally equivalent authorization languages.
> 
> I look forward to discussion of this matter.
> 
> Hal Lockhart
> BEA Systems
> Co-chair OASIS XACML TC
> 
> _______________________________________________
> Geopriv mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/geopriv
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv